PETSc version 3.15.5
Fix/Edit manual page

# PetscRandomGetValuesReal

Generates a sequence of real random numbers. Call this after first calling PetscRandomCreate().

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscRandomGetValuesReal(PetscRandom r, PetscInt n, PetscReal *val)

Not Collective

### Intput Parameter

| r | - the random number generator context
| n | - number of random numbers to generate

### Output Parameter

| val | - the array to hold the values

### Notes

Use VecSetRandom() to set the elements of a vector to random numbers.

### See Also

PetscRandomCreate(), PetscRandomDestroy(), VecSetRandom(), PetscRandomGetValues()

### Level

intermediate

### Location

src/sys/classes/random/interface/random.c

### Implementations

PetscRandomGetValuesReal_CURAND in src/sys/classes/random/impls/curand/curand.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages